Bug 115779 - up2date crash on fc2-test1: (AttributeError: 'NoneType' object has no attribute 'read')
up2date crash on fc2-test1: (AttributeError: 'NoneType' object has no attribu...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-02-15 22:27 EST by Ellen Shull
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 08:39:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ellen Shull 2004-02-15 22:27:59 EST
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, 
like Gecko) 
 
Description of problem: 
[root@ip68-110-7-34 root]# up2date-nox -u -d 
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide 
using mirror: 
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/ 
 
Fetching Obsoletes list for channel: fedora-core-rawhide... 
 
Fetching rpm headers... 
Traceback (most recent call last): 
  File "/usr/sbin/up2date-nox", line 1267, in ? 
    sys.exit(main() or 0) 
  File "/usr/sbin/up2date-nox", line 797, in main 
    fullUpdate, dryRun=options.dry_run)) 
  File "/usr/sbin/up2date-nox", line 1141, in batchRun 
    batch.run() 
  File "up2dateBatch.py", line 62, in run 
  File "up2dateBatch.py", line 108, in __findPackagesToUpdate 
  File "packageList.py", line 580, in getPackagesToInstall 
  File "packageList.py", line 609, in __skipPackages 
  File "packageList.py", line 630, in __skipFiles 
  File "packageList.py", line 669, in buildHeaderList 
  File "headers.py", line 37, in __getitem__ 
  File "headers.py", line 42, in __retrievePackage 
  File "rpcServer.py", line 112, in doCall 
  File "repoDirector.py", line 31, in getHeader 
  File "rpmSource.py", line 210, in getHeader 
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line 
87, in getHeader 
    (fn, h) = urllib.urlretrieve(url) 
  File "/usr/lib/python2.3/urllib.py", line 83, in urlretrieve 
    return _urlopener.retrieve(url, filename, reporthook, data) 
  File "/usr/lib/python2.3/urllib.py", line 213, in retrieve 
    fp = self.open(url, data) 
  File "/usr/lib/python2.3/urllib.py", line 181, in open 
    return getattr(self, name)(url) 
  File "/usr/lib/python2.3/urllib.py", line 306, in open_http 
    return self.http_error(url, fp, errcode, errmsg, headers) 
  File "/usr/lib/python2.3/urllib.py", line 323, in http_error 
    return self.http_error_default(url, fp, errcode, errmsg, 
headers) 
  File "/usr/lib/python2.3/urllib.py", line 551, in 
http_error_default 
    return addinfourl(fp, headers, "http:" + url) 
  File "/usr/lib/python2.3/urllib.py", line 837, in __init__ 
    addbase.__init__(self, fp) 
  File "/usr/lib/python2.3/urllib.py", line 787, in __init__ 
    self.read = self.fp.read 
AttributeError: 'NoneType' object has no attribute 'read' 
 
 
 
 
Version-Release number of selected component (if applicable): 
up2date-4.3.11-2 
 
How reproducible: 
Couldn't Reproduce 
 
Expected Results:  When I tried it again, it used a different 
mirror, and the error was not repeated.  Could be something about 
the download.fedora.redhat.com machine, but I doubt it... 
 
Additional info: 
 
[root@ip68-110-7-34 root]# rpm -q up2date 
up2date-4.3.11-2 
[root@ip68-110-7-34 root]# rpm -V up2date 
/etc/security/selinux/src/policy/file_contexts/file_contexts: No 
such file or directory 
SM5....T  c /etc/sysconfig/rhn/up2date 
S.5....T  c /etc/sysconfig/rhn/up2date-uuid 
SM5....T    /usr/share/rhn/up2date_client/distrotype.pyc 
SM5....T    /usr/share/rhn/up2date_client/repoBackends/__init__.pyc 
SM5....T    /usr/share/rhn/up2date_client/repoBackends/aptRepo.pyc 
SM5....T    /usr/share/rhn/up2date_client/repoBackends/dirRepo.pyc 
SM5....T    /usr/share/rhn/up2date_client/repoBackends/genericRepo.pyc 
SM5....T    /usr/share/rhn/up2date_client/repoBackends/genericSolveDep.pyc 
SM5....T    /usr/share/rhn/up2date_client/repoBackends/urlUtils.pyc 
SM5....T    /usr/share/rhn/up2date_client/repoBackends/yumRepo.pyc 
SM5....T    /usr/share/rhn/up2date_client/up2dateUtils.pyc 
[root@ip68-110-7-34 root]# 
 
(not sure why those files have changed, I haven't touched them) 
 
[root@ip68-110-7-34 root]# rpm -q python 
python-2.3.3-1 
[root@ip68-110-7-34 root]# rpm -V python 
/etc/security/selinux/src/policy/file_contexts/file_contexts: No 
such file or directory 
[root@ip68-110-7-34 root]#
Comment 1 John Thacker 2006-10-29 08:39:02 EST
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.

Note You need to log in before you can comment on or make changes to this bug.